import React from "react";
import { storiesOf } from "@storybook/react";
import { ReactBatchAutocomplete } from "../component/autocomplete";

const stories = storiesOf("App ts", module);

stories.add("Test", () => {
  const apikey = 'PqwZhbq9WXyLGHuHr53og9d21rlwPaJpArkI9781'
 const domainServer = 'https://api.dev.batchdata.com/api/v1/address/autocomplete'

  const handleError = (e) => {
    console.log('Error while searching: ',e);
  }

  const suggestionList = (data) => {
    console.log('Suggetion List: ', data);
  }

  const onSelect = (data) => {
    console.log('Seleted item: ', data)
  }

  return (
    <div style={{width:420}}>
      <h2>Batch Service React Autocomplete Lib...</h2>
      <p>Start typing to select address:</p>
      <ReactBatchAutocomplete
      placeholder="Enter your address"
      notFoundText="Not Found"
      apiKey={apikey}
      domainServer={domainServer}
      handleError={(e) => handleError(e)}
      suggestionList={(data) => suggestionList(data)}
      onSelect={(data) => onSelect(data)}
    />
    </div>
  );
});
